### Method

# St Widget peek_theme_node

#### Declaration [src]

    StThemeNode*
    st_widget_peek_theme_node (
      StWidget* widget
    )

#### Description [src]

Returns the theme node for the widget if it has already been computed, `NULL` if the widget hasn’t been added to a stage or the theme node hasn’t been computed. If `NULL` is returned, then ::style-changed will be reliably emitted before the widget is allocated or painted.

#### Return value

Type: `StThemeNode`

The theme node for the widget. This is owned by the widget. When attributes of the widget or the environment that affect the styling change (for example the style_class property of the widget), it will be recreated, and the ::style-changed signal will be emitted on the widget.

The returned data is owned by the instance.